﻿
using System;
using System.Drawing;
using Wisej.Web;

namespace Wisej.DGVCellContextMenu
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			this.dataGridView1.RowCount = 10;
		}

		private void menuItem1_Click(object sender, EventArgs e)
		{
			var menuItem = (MenuItem)sender;
			var grid = (DataGridView)menuItem.GetContextMenu().SourceControl;
			grid.CurrentCell.Style.BackColor = Color.Yellow;
		}

		private void menuItem2_Click(object sender, EventArgs e)
		{
			var menuItem = (MenuItem)sender;
			var grid = (DataGridView)menuItem.GetContextMenu().SourceControl;
			grid.CurrentCell.Style.ForeColor = Color.Red;
		}

		private void dataGridView1_CellMouseClick(object sender, DataGridViewCellMouseEventArgs args)
		{
			if (args.Button == MouseButtons.Left)
			{
				var grid = (DataGridView)sender;
				var ctxMenu = new ContextMenu();
				var menu1 = ctxMenu.MenuItems.Add("Set BackgroundColor");
				var menu2 = ctxMenu.MenuItems.Add("Set ForeColor");
				var position = grid.PointToClient(Cursor.Position);
				ctxMenu.Show((Control)sender, position);

				menu1.Click += (s, e) =>
				{
					grid.CurrentCell.Style.BackColor = Color.Beige;
				};

				menu2.Click += (s, e) =>
				{
					grid.CurrentCell.Style.ForeColor = Color.Blue;
				};
			}
		}
	}
}
